Method | Description | |
---|---|---|
AvoidEdges ( IAgent agent, double distance ) : Vector3d | ||
BounceContain ( IParticle agent ) : bool | ||
ClosestNormal ( Point3d pt ) : Vector3d | ||
ClosestPoint ( Point3d pt ) : Point3d | ||
ClosestPointOnRef ( Point3d pt ) : Point3d | ||
Contains ( Point3d pt ) : bool | ||
Duplicate ( ) : IGH_Goo | ||
Equals ( |
||
Equals ( object obj ) : bool | ||
GetBoundingBox ( ) : Rhino.Geometry.BoundingBox | ||
GetHashCode ( ) : int | ||
MapTo2D ( Point3d pt ) : Point3d | ||
MapTo3D ( Point3d pt ) : Point3d | ||
Orient ( Vector3d vector, Point3d point ) : Vector3d | ||
SurfaceEnvironmentType ( ) : System | ||
SurfaceEnvironmentType ( Rhino.Geometry.Surface srf, bool wrap ) : System | ||
SurfaceEnvironmentType ( |
||
ToString ( ) : string | ||
WrapPoint ( Point3d relativePoint, Point3d point ) : Point3d | ||
WrapPoint ( Point3d position, bool &wrapped ) : Point3d |
public AvoidEdges ( IAgent agent, double distance ) : Vector3d | ||
agent | IAgent | |
distance | double | |
return | Vector3d |
public BounceContain ( IParticle agent ) : bool | ||
agent | IParticle | |
return | bool |
public ClosestNormal ( Point3d pt ) : Vector3d | ||
pt | Point3d | |
return | Vector3d |
public ClosestPointOnRef ( Point3d pt ) : Point3d | ||
pt | Point3d | |
return | Point3d |
public Equals ( |
||
p | ||
return | bool |
public GetBoundingBox ( ) : Rhino.Geometry.BoundingBox | ||
return | Rhino.Geometry.BoundingBox |
public Orient ( Vector3d vector, Point3d point ) : Vector3d | ||
vector | Vector3d | |
point | Point3d | |
return | Vector3d |
public SurfaceEnvironmentType ( Rhino.Geometry.Surface srf, bool wrap ) : System | ||
srf | Rhino.Geometry.Surface | |
wrap | bool | |
return | System |
public SurfaceEnvironmentType ( |
||
environment | ||
return | System |
public WrapPoint ( Point3d relativePoint, Point3d point ) : Point3d | ||
relativePoint | Point3d | |
point | Point3d | |
return | Point3d |
public WrapPoint ( Point3d position, bool &wrapped ) : Point3d | ||
position | Point3d | |
wrapped | bool | |
return | Point3d |